[@rxap/data-source](../wiki/globals) / observableDataSource

# Function: observableDataSource()

> **observableDataSource**\<`Data`\>(`data`, `metadata`): [`ObservableDataSource`](../wiki/Class.ObservableDataSource)\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/observable.data-source.ts:49](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/observable.data-source.ts#L49)

## Type Parameters

• **Data**

## Parameters

### data

`Observable`\<`Data`\>

### metadata

[`ObservableDataSourceMetadata`](../wiki/Interface.ObservableDataSourceMetadata)\<`Data`\> = `...`

## Returns

[`ObservableDataSource`](../wiki/Class.ObservableDataSource)\<`Data`\>
